Subject: Re: bug#10914: Segfault when creating vector >= 2^16

From: Tobias Brandt <[email-masked]>
Date: Thu, 1 Mar 2012 22:36:38 +0100

On 1 March 2012 22:25, Mark H Weaver <[email-masked]> wrote:
> I cannot reproduce this.  Please give us more details.  What version of
> Guile are you using, and on what platform (operating system, processor
> type, 64/32-bit)?  What compiler did you use to compile Guile, or are
> you using a pre-built binary from somewhere?

I'm using the guile version from git commit
79eb47ea47650ef42c545931726277a7118a0210.
I compiled it myself with gcc 4.6.1 on Ubuntu 11.10 (64bit).
I also used a self compiled version of libgc (7.2alpha6).

I traced the execution with gdb, the segementation fault happens
in GC_is_marked() from /usr/lib/libgc.so.1. So it seems to be an error
in my libgc not in guile.